コンテンツにスキップ
ShopentlyLearn

注文 · デジタルリリース

この注文ですでに購入したリリースを確認します。過去の更新条件によって新しいファイルへのアクセス権が付与されることはありません。

GET/api/v1/orders/{order_id}/file-releases

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/orders/example/file-releases \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

レスポンス

{
  "data": {
    "releases": [
      {
        "access_reason": "paid",
        "access_state": "active",
        "current_release": null,
        "grant_reason": "purchase",
        "granted_at": "2026-01-01T12:00:00Z",
        "id": "example",
        "line_id": "example",
        "manifest_sha256": "1111111111111111111111111111111111111111111111111111111111111111",
        "product_id": "example",
        "published_at": "2026-01-01T12:00:00Z",
        "purchase_id": "00000000-0000-4000-8000-000000000001",
        "release_id": "00000000-0000-4000-8000-000000000001",
        "release_sequence": 1,
        "update_days": 365,
        "update_mode": "period",
        "update_months": null,
        "updates_until": "2027-01-01T12:00:00Z",
        "version_label": "1.0"
      }
    ],
    "updates_pending": false
  },
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 50,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
BASIC
キーの権限
注文ファイルのダウンロード · デジタル商品orders.order_file:read_digital